Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  trait ReplConfig extends AnyRef
  Definition Classes
    interpreter
- TapMaker

c

scala.tools.nsc.interpreter.ReplConfig

# TapMaker 

###

#### class TapMaker[T] extends AnyRef

Source
  ReplConfig.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TapMaker
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TapMaker(x: T)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TapMaker[T] to any2stringadd[TapMaker[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TapMaker[T], B)
   Implicit
     This member is added by an implicit conversion from TapMaker[T] to ArrowAssoc[TapMaker[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (TapMaker[T]) ⇒ Boolean, msg: ⇒ Any): TapMaker[T]
   Implicit
     This member is added by an implicit conversion from TapMaker[T] to Ensuring[TapMaker[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (TapMaker[T]) ⇒ Boolean): TapMaker[T]
   Implicit
     This member is added by an implicit conversion from TapMaker[T] to Ensuring[TapMaker[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): TapMaker[T]
    Implicit
      This member is added by an implicit conversion from TapMaker[T] to Ensuring[TapMaker[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): TapMaker[T]
    Implicit
      This member is added by an implicit conversion from TapMaker[T] to Ensuring[TapMaker[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TapMaker[T] to StringFormat[TapMaker[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def tap[U](f: (T) ⇒ U): T
24.  def tapDebug(msg: ⇒ String): T
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  def →[B](y: B): (TapMaker[T], B)
    Implicit
      This member is added by an implicit conversion from TapMaker[T] to ArrowAssoc[TapMaker[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TapMaker[T] to any2stringadd[TapMaker[T]]

### Inherited by implicit conversion StringFormat from TapMaker[T] to StringFormat[TapMaker[T]]

### Inherited by implicit conversion Ensuring from TapMaker[T] to Ensuring[TapMaker[T]]

### Inherited by implicit conversion ArrowAssoc from TapMaker[T] to ArrowAssoc[TapMaker[T]]

### Ungrouped